%define upstream_name    Test-Aggregate
%define upstream_version 0.374

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Aggregate perl test suites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin) >= 1.470.0
BuildRequires: perl(Test::Harness) >= 3.90.0
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.940.0
BuildRequires: perl(Test::Trap)
BuildArch:  noarch

%{?perl_default_filter}

%description
A common problem with many test suites is that they can take a long time to
run. The longer they run, the less likely you are to run the tests. This
module borrows a trick from 'Apache::Registry' to load up your tests at
once, create a separate package for each test and wraps each package in a
method named 'run_the_tests'. This allows us to load perl only once and
related modules only once. If you have modules which are expensive to load,
this can dramatically speed up a test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jan 14 2017 shlomif <shlomif> 0.374.0-1.mga6
+ Revision: 1081717
- New version 0.374.

* Sun Jun 19 2016 pterjan <pterjan> 0.373.0-3.mga6
+ Revision: 1034077
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.373.0-2.mga6
+ Revision: 970032
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.373.0-1.mga6
+ Revision: 884838
- update to 0.373

* Fri Jun 26 2015 shlomif <shlomif> 0.372.0-1.mga6
+ Revision: 844390
- update to 0.372

* Sun Oct 19 2014 umeabot <umeabot> 0.371.0-6.mga5
+ Revision: 789212
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.371.0-5.mga5
+ Revision: 739129
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.371.0-4.mga5
+ Revision: 735966
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.371.0-3.mga5
+ Revision: 686398
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 0.371.0-2.mga4
+ Revision: 536754
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.371.0-1.mga4
+ Revision: 485485
- update to 0.371

* Sun Sep 08 2013 sander85 <sander85> 0.370.0-1.mga4
+ Revision: 476001
- update to 0.370

* Tue Aug 27 2013 sander85 <sander85> 0.369.0-1.mga4
+ Revision: 472448
- update to 0.369

* Fri Aug 16 2013 sander85 <sander85> 0.368.0-1.mga4
+ Revision: 466874
- update to 0.368

* Wed Aug 14 2013 sander85 <sander85> 0.367.0-1.mga4
+ Revision: 466396
- update to 0.367

* Mon Jul 15 2013 sander85 <sander85> 0.366.0-1.mga4
+ Revision: 454611
- update to 0.366

* Sun Jan 13 2013 umeabot <umeabot> 0.364.0-2.mga3
+ Revision: 373336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 23 2011 shlomif <shlomif> 0.364.0-1.mga2
+ Revision: 186561
- Correct a typo
- imported package perl-Test-Aggregate

